#!/usr/bin/python
import os
import unittest

try:
  from compClust.iplot.IPlotGTK import *
  GtkAvailable = True
except ImportError, e:
  GtkAvailable = False

skip_test = False
from testIPlot import testIPlot

from compClust.mlx import datasets
from compClust.mlx import labelings

from compClust.iplot.IPlot import DatasetPlot
from compClust.iplot.views import DatasetRowPlotView


class testIPlotGtk(testIPlot):
  def setUp(self):

    testIPlot.setUp(self)
    self.dataset_plot = IPlot
    self.trajectory_summary_plot = TrajectorySummary
    self.confusion_matrix_plot = ConfusionMatrixSummary
    self.roc_plot = ROCPlot
    self.pca_ginsu = PCAGinsu

def suite(test_gtk=True, **kw):
  return None
  if test_gtk and GtkAvailable:
    return unittest.makeSuite(testIPlotGtk)
  else:
    print "GTK not available not running gtk tests in testIPlotTk"
    return None

if __name__ == "__main__":
  suite = unittest.TestSuite()
  suite.addTest(unittest.makeSuite(testIPlotGtk))
  unittest.TextTestRunner(verbosity=2).run(suite)
  
  gtk.mainloop()
